%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define api_version	2
%define lib_major	0
%define pkgname     libgnome
%define lib_name	%mklibname gnome %{api_version} %{lib_major}
%define develname %mklibname -d gnome %{api_version}

Summary: GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.32.1
Release: %mkrel 8
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 1.116.0-2mdk use Mdk default background
Patch1: libgnome-background.patch
# (fc) 2.2.0.1-2mdk Ia Ora as default theme
Patch4: libgnome-defaulttheme.patch
# (fc) 2.19.1-2mdv mark gnome_program_init with sentinel (SUSE)
Patch6: libgnome-sentinel.patch
# (fc) 2.19.1-2mdv fix va_list usage (SUSE)
Patch7: libgnome-2.19.1-va_list.patch
# (fc) 2.19.1-2mdv enable sound server and events by default, remove almost default sound events
Patch8: libgnome-2.19.1-sounds-default.patch
# (fc) 2.24.1-2mdv use www-browser as default browser
Patch9: libgnome-2.24.1-www-browser.patch
# (fc) 2.28.0-2mdv put back icons in menu and buttons
Patch10: libgnome-2.28.0-icons.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org/
BuildRequires: pkgconfig(gconf-2.0) >= 1.1.11
BuildRequires: pkgconfig(glib-2.0) >= 2.8.0
BuildRequires: pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires: pkgconfig(gnome-vfs-2.0) >= 2.5.3
BuildRequires: pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires: pkgconfig(libbonobo-2.0) >= 2.13.0
%if !%bootstrap
BuildRequires: pkgconfig(libcanberra) >= 0
%endif
BuildRequires: popt-devel
BuildRequires: gtk-doc
BuildRequires: intltool >= 0.40.0
Requires: %{name}-schemas >= %{version}-%{release}

%description
Data files for the GNOME library such as translations.


%package schemas
Summary:	Default configuration for some GNOME software
Group:		%{group}
Conflicts:	%{name} < 2.30.0-2mdv
Requires(post): GConf2
Requires(preun): GConf2

%description schemas
Default configuration for GNOME software

%package -n %{lib_name}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
GNOME library contains extra API to let your GNOME applications shine.

%package -n %develname
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Obsoletes: %mklibname -d gnome 2 0

%description -n %develname
Static library and headers file
needed in order to develop applications using the GNOME library

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .background
%patch4 -p1 -b .defaulttheme
%patch6 -p1 -b .sentinel
%patch7 -p1 -b .va_list
%patch8 -p1 -b .sound-defaults
%patch9 -p1 -b .www-browser
%patch10 -p1 -b .icons

%build
%configure2_5x --enable-gtk-doc --disable-static --disable-schemas-install \
%if %bootstrap
	--enable-canberra=no
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
find %{buildroot} -name '*.la' | xargs rm

%find_lang %{pkgname}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas desktop_gnome_accessibility_keyboard desktop_gnome_accessibility_startup desktop_gnome_applications_at_mobility desktop_gnome_applications_at_visual desktop_gnome_applications_browser desktop_gnome_applications_terminal desktop_gnome_applications_office desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_lockdown desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_thumbnail_cache desktop_gnome_thumbnailers desktop_gnome_typing_break

# update default theme on distribution upgrade
%triggerpostun -- libgnome2 < 2.28.0-3mdv
if [ "x$META_CLASS" != "x" ]; then
 GTK2_THEME="oxygen-gtk"

  if [ "x$GTK2_THEME" != "x" ]; then 
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /desktop/gnome/interface/gtk_theme "$GTK2_THEME" > /dev/null
  fi
fi


%post schemas
if [ ! -d %{_sysconfdir}/gconf/gconf.xml.local-defaults/desktop/gnome/interface -a "x$META_CLASS" != "x" ]; then
 GTK2_THEME="oxygen-gtk"

  if [ "x$GTK2_THEME" != "x" ]; then 
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /desktop/gnome/interface/gtk_theme "$GTK2_THEME" > /dev/null
  fi
fi

if [ ! -f /root/.gconf/desktop/gnome/background/%gconf.xml ]; then
  gconftool-2 --set /desktop/gnome/background/picture_options --type=string none
  gconftool-2 --set /desktop/gnome/background/primary_color --type=string "#B20003"
fi

%preun schemas
%preun_uninstall_gconf_schemas %schemas

%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc NEWS 
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/gnome-open
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*
%{_mandir}/man7/*
%_datadir/gnome-background-properties/gnome-default.xml
%_datadir/pixmaps/backgrounds/gnome/background-default.jpg

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgnome-%{api_version}.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%files schemas
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_startup.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_mobility.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_visual.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_browser.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_office.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_terminal.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_window_manager.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_background.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_views.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_interface.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_lockdown.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_mouse.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_sound.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnail_cache.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnailers.schemas 
%{_sysconfdir}/gconf/schemas/desktop_gnome_typing_break.schemas


%changelog

* Wed Sep 14 2011 fwang <fwang> 2.32.1-8.mga2
+ Revision: 143422
- drop .la files
- default to oxygen theme

* Mon May 16 2011 dams <dams> 2.32.1-7.mga1
+ Revision: 99292
+ rebuild (emptylog)

* Tue Apr 19 2011 dams <dams> 2.32.1-6.mga1
+ Revision: 88405
- Update primary color with Mageia color

* Tue Apr 19 2011 dams <dams> 2.32.1-5.mga1
+ Revision: 88399
- Fix default background to use Mageia.xml

* Fri Apr 15 2011 ahmad <ahmad> 2.32.1-4.mga1
+ Revision: 85589
- change the default background to use default.jpg:
  o all the backgrounds are the same AFAICS
  o the .xml file doesn't seem to work (should be investigated?)

* Fri Apr 08 2011 ahmad <ahmad> 2.32.1-3.mga1
+ Revision: 82019
- modify libgnome-background patch to use Mageia default background by default
- modify sounds-default patch, there're no ia_ora sounds in Mageia

* Mon Apr 04 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 80292
- require GConf2 (gconftool-2) for post/preun of schemas sub-package

* Tue Feb 01 2011 dmorgan <dmorgan> 2.32.1-1.mga1
+ Revision: 46073
- New version
- Remove mdv macros
- imported package libgnome2

  + rtp <rtp>
    - Allow to break circular BR
      (libgnome2->libcanberra->pulseaudio->imagemagick->libcroco->libgnomeui2->libgnome2)

  + mikala <mikala>
    - Disable patch1 (used to set mdk default background)
    - Disable BR on esound-devel in the -devel package
    -Remove Esound BR

